package org.dromara.ygpassport.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.ygpassport.domain.bo.StudentListBo;
import org.dromara.ygpassport.domain.vo.StudentListVo;

import java.util.Collection;
import java.util.List;

public interface IStudentListService {
    /**
     * 查询学生信息
     */
    StudentListVo queryById(Long id);

    /**
     * 根据学号查询学生信息
     */
    StudentListVo queryByStuNo(String stuNo);

    StudentListVo queryByStuNoPro(String stuNo);

    /**
     * 查询学生信息列表
     */
    TableDataInfo<StudentListVo> queryPageList(StudentListBo bo, PageQuery pageQuery);

    /**
     * 查询学生信息列表
     */
    List<StudentListVo> queryList(StudentListBo bo);

    /**
     * 新增学生信息
     */
    Boolean insertByBo(StudentListBo bo);

    /**
     * 修改学生信息
     */
    Boolean updateByBo(StudentListBo bo);

    /**
     * 校验并批量删除学生信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


//    StudentListVo selectByStuNo(String stuNo);
}
